QGIS2+: values shown in scientific notation

2018-03-01 07:14 PM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26193

Description

Right now, values like "4176000000" are displayed as "4.176e+06" (the scientific notation). Seems like printf '%g' is used?

The problem appears anywhere, values are shown:

    -  attribute tables

    -  tooltips

    -  legend

    -  etc

And it's around for a pretty long time: #15880

After a lively discussion on the QGIS-mailing list, the following options might be useful:

    -  never show values in scientific notations

    -  mixup like now

    -  always show scientific notations

A simple workaround might be casting the full float/double values to string for displaying them.

Related issues:

Duplicates QGIS Application - Bug report # 15880: Symbol Size assistant: Valu... Closed 2016-11-22

Associated revisions

Revision 054470f0 - 2018-03-28 10:20 PM - Nyall Dawson

Never show int/long attributes in scientific notation

Fixes #18508, #18302

Revision 1d102b29 - 2018-04-02 05:01 AM - Nyall Dawson

Never show int/long attributes in scientific notation

Fixes #18508, #18302

(cherry-picked from 054470f)

History

#1 - 2018-03-02 09:05 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate
See #15880

#2 - 2018-03-02 10:24 AM - Jürgen Fischer

- Description updated

#3 - 2018-03-02 11:19 AM - Harrissou Santanna

Giovanni, this report is more global and proposed some solutions to the issue.

If there's a report to close, should it not be #15880 instead?

#4 - 2018-03-02 11:41 AM - Jürgen Fischer

- Duplicates Bug report #15880: Symbol Size assistant: Values greater than 1 000 000 are not "correctly" rendered in the legend added

#5 - 2018-03-02 03:44 PM - Giovanni Manghi

- Status changed from Closed to Open

- Resolution deleted (duplicate)

- Category changed from GUI to Vectors

#6 - 2018-03-02 03:44 PM - Giovanni Manghi

- Status changed from Open to Closed

See #15880

#7 - 2018-03-08 06:54 PM - Arjan Mossel

This issue is now marked closed, and #15880 is marked duplicate. But was this actually fixed?

#8 - 2018-03-08 06:56 PM - Giovanni Manghi

- Status changed from Closed to Open

#9 - 2018-03-22 11:19 PM - Mike Taves

Also duplicate in #18508, with description of affected components.

#10 - 2018-03-28 10:20 PM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|054470f032b5fe14e30d1c4c75931a4abbbdae2a.

#11 - 2018-03-31 06:56 PM - Tobias Wendorff

Sorry, still doesn't seem to be fixed: I'm on 6ddd9ab0c7 (from 2018-03-30, which is newer than 054470f0 from 2018-03-28) and "attribute table" and

"identify tool" still show scientific notation.
#12 - 2018-04-11 08:31 AM - Andreas Wicht

I currently have the issue that QGIS 2.18.18 displays an ID as 1385998 (Identify Tool) whereas QGIS 3.0.1 shows that features' ID as 1.386e+06 which is

even worse...

any news on the current state of development?

#13 - 2018-04-14 06:32 AM - Tobias Wendorff

- File scientific.png added

On some places it has been fixed, on many it hasn't. See attachment.

I'm on QGIS3, GIT build af8d9eb1a6

Files

scientific.png 32.6 KB 2018-04-14 Tobias Wendorff
